Subject: Re: bug#9412: sprintf-related integer and memory overflow issues

From: Dan Nicolaescu <[email-masked]>
Date: Wed, 31 Aug 2011 12:53:54 -0400

Paul Eggert <[email-masked]> writes:

> On 08/30/11 19:08, Chong Yidong wrote:
>

>> I seem to recall that the reason we don't use snprintf is that
>> it's not available on all the platforms that Emacs supports.
>
> Although that used to be true, I expect that platforms lacking
> snprintf (e.g., Solaris 2.5.1, IRIX 5.3, OSF/1 4.0) are no longer of
> practical importance as Emacs porting targets.

FWIW, we removed support in emacs for those 3 OSes a few years ago.